[Dock-fans] Dock6.2 with MPI and PBSA : Installation Problem

Scott Brozell sbrozell at scripps.edu
Wed Nov 19 14:01:04 PST 2008


Hi,

On Wed, 19 Nov 2008, Suhaib Shekfeh wrote:

> Hallo I am trying to Install Dock6.2 with MPI and PBSA

Did you install dock6, dock6.pbsa, and/or dock6.mpi ?
Did you make clean after you built those and before your attempt
to build dock6.pbsa_mpi ?
Start the installation process by building plain old dock6.

> everything was fine till I get these errors messages
> 
> gcc -c -O3 -DDOCK -Dlex  sff.c
> In file included from sff.c:1854:
> mm_options.l:464: Fehler: expected »)« before »++« token

Scott, sprechen sie Deutsch - nein   :)
But, there is only one occurrence of ++ in mm_options.l:
#define input() (*gopts++)
It looks correct.
lex.mm_options.c is generated by lex; try the suggestions here:
http://dock.compbio.ucsf.edu/DOCK_6/faq.htm#_mmolex

> Configuration file :
> 
> CC=          gcc
> CXX=         g++
> CFLAGS=      -DBUILD_DOCK_WITH_MPI -I$(MPICH_HOME)include
> -DBUILD_DOCK_WITH_ZAP -I$(ZAP_HOME) -LANG:std -O2
> FC=          gfortran
> FFLAGS=      -O2 -static
> LIBS=        -lm -L$(ZAP_HOME) -lOEZAP
> LOAD=        $(MPICH_HOME)/bin/mpicxx
> SFX=         .pbsa_mpi
> 
> AR=          ar rvs $(EMPTY)
> LEX=         lex
> OCFLAGS=     -O3
> RANLIB=      /bin/true

Apparently, you are building on an sgi ?
If so then the native lex should work.

Scott


More information about the Dock-fans mailing list